petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPartitioningChacoSetEigenSolver

Set eigensolver method for Chaco partitioner.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningChacoSetEigenSolver(MatPartitioning part,MPChacoEigenType method)

Collective on MatPartitioning Many br

### Input Parameters

| part | - the partitioning context Many br
| method | - one of MP_CHACO_LANCZOS or MP_CHACO_RQI Many br

### Options Database

-mat_partitioning_chaco_eigen_solver <method> -the eigensolver Many br

Many br

### Notes

The default is to use a Lanczos method. See Chaco documentation for details. Many br

### See Also

MatPartitioningChacoSetEigenTol(),MatPartitioningChacoSetEigenNumber(),
MatPartitioningChacoGetEigenSolver() Many br

Level:advanced
Location:src/mat/partition/impls/chaco/chaco.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages